# Class CIM_DirectorySpecification
extends CIM_Check

The CIM_DirectorySpecification class captures the major directory structure of a SoftwareElement. This class is used to organize the files of a SoftwareElement into manageable units that can be relocated on a computer system.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Check
|
+--CIM_DirectorySpecification

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_DirectorySpecification class captures the major directory structure of a SoftwareElement. This class is used to organize the files of a SoftwareElement into manageable units that can be relocated on a computer system.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DirectoryPath | string |
Description | string | The DirectoryPath property is used to capture the name of a directory. The value supplied by an application provider is actually a default or recommended path name. The value can be changed for a particular environment.
MaxLen | uint32 | 1024
DirectoryType | uint16 |
Description | string | The DirectoryType property characterizes the type of directory being described.
MappingStrings | string | MIF.DMTF|Location|001.2
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17

Values

string

Product base directory, Product executable directory, Product library directory, Product configuration directory, Product include directory, Product working directory, Product log directory, Shared base directory, Shared executable directory, Shared library directory, Shared include directory, System base directory, System executable directory, System library directory, System configuration directory, System include directory, System log directory, Other

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CheckID | string | CIM_Check
CheckMode | boolean | CIM_Check
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Check
SoftwareElementID | string | CIM_Check
SoftwareElementState | uint16 | CIM_Check
TargetOperatingSystem | uint16 | CIM_Check
Version | string | CIM_Check

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Check
InvokeOnSystem | uint32 | CIM_Check